﻿@{
    Layout = null;
}
<div class="blade-bar">
    <a ng-click="MC.closeBlade(step)">
        <i class="icon-cancel-2"></i>
    </a>
    <a ng-click="step.isExpanded = false">
        <i class="icon-minus-2"></i>
    </a>
    <div class="clearfix"></div>
</div>
<h3 class="blade-title show-in-collapse-mode">
    <a class="fg-white title show-in-collapse-mode" ng-click="step.isExpanded = true">Seasons</a>
</h3>
<ul class="list actions-list">
    <li><a ngaction="Season_Add" ui-sref="SeasonAdd"><i class="icon-plus-2 on-left-more bd-white"></i>Add season</a></li>
</ul>

<hr class="no-margin" />
<ul class="list seasons-list">
    <li ng-repeat="season in MC.seasons |  orderBy:Id">
        <a ui-sref='Season({seasonDomain: season.Domain})' ng-click="MC.activeSection = 'seasons';" class="text-bold">{{season.Title}} </a>
    </li>
    <li ng-class="{active: MC.activeSection == 'ArchiveSeason' }">
        <a class="blade-item-title text-bold cursor-pointer color-coral" ng-click=" MC.activeSection == 'ArchiveSeason' ? MC.activeSection = 'seasons' :  MC.activeSection = 'ArchiveSeason' ;">
            Archived seasons
        </a>
        <div ng-repeat="season in MC.archivedSeasons |  orderBy:Id" class="blade-item-action-bar blade-item-title sub-menu-admin">
            <ul>
                <li>
                    <a class="blade-item-title sub-menu-admin text-bold blade-archive-submenu-style" ng-click="MC.activeSectionSub = season.Domain">
                        {{season.Title}}
                    </a>
                    <div ng-if=" MC.activeSectionSub === season.Domain " style="padding-bottom: 0; margin-left: -20px" class="blade-item-action-bar  blade-sub-menu">
                        <ul>
                            <li>
                                <a ng-click="unarchiveSeason( season.Domain,season.Title)" class="blade-item-title blade-sub-menu text-bold">
                                    <i class="jbi-reply on-left-more " style="margin: 3px"></i> Unarchive
                                </a>

                            </li>
                        </ul>
                    </div>
                </li>
            </ul>
        </div>
    </li>

    <li class="margin-bottom20">
    </li>
</ul>

